質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.33%

  • Python

    9218questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Python 3.x

    7412questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

  • MacOS(OSX)

    2040questions

    MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

  • Python 2.7

    1344questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。

  • Django

    1177questions

    DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

django 1.8⇨1.11(LTS)にupgradeした際に必要なこと

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 220

bokubo

score 1

・前庭
Django,pythonでpycharmをつかってwebアプリケーションを作成しています。

・目的
djangoのupgrade
上記に対して必要ライブラリー、pythonのバージョンも互換性あるものに変更する

django1.8→1.11(LTS)
python→2.7.12(これは変更しなくてもいけルものなのか)

現象
django1.8→1.11(LTS)にupdateしました。
そこで、対象project配下でrunserevrを実行したところ、下記のエラーが出ます(必要なモジュール(ライブラリーを持ってきてないからなのはわかるのですが)互換性があるバージョンがわかりません。)

やらなきゃいけないこととしては必要ライブラリーをまずinstallしなきゃいけないのですがdjango1.8→1.11(LTS)をすることによって互換性あるライブラリーの情報などわかりませんでしょうか?

-------エラ-----------------------------------------------------------$ cd qubena_server/
"/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/importlib/init.py", line 37, in import_module
import(name)
ImportError: No module named djangocms_admin_style

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

djangocms_admin_styleパッケージをインストールしてINSTALLED_APPSに入れればいけるのでは。

process to load database in django project

INSTALLED_APPS の'django.contrib.admin'の前に'djangocms_admin_style' をいれろ、とあります。


【2018/06/27追記】

Collecting execute_from_command_line
Could not find a version that satisfies the requirement execute_from_command_line (from versions: )
No matching distribution found for execute_from_command_line

pipのバージョンが古いとそのようなエラーメッセージが出ることがあるようですよ。
Ubuntu14.04 への Chainerのインストール中にsetuptoolsインスコで躓いたのでメモ

pipのアップグレードは上記リンクのページで説明されています。

下記のコマンドでアップグレードする
$ sudo pip install --upgrade pip

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/06/27 08:33

    ありがとうごじます。上記djangocms_admin_styleは無事installできましたが、再度runserverをすると下記エラーが発生します

    Collecting execute_from_command_line
    Could not find a version that satisfies the requirement execute_from_command_line (from versions: )
    No matching distribution found for execute_from_command_line

    キャンセル

  • 2018/06/27 11:35

    回答に追記しました。

    キャンセル

  • 2018/06/27 13:21

    ありがとうございます。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.33%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る

  • Python

    9218questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Python 3.x

    7412questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

  • MacOS(OSX)

    2040questions

    MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

  • Python 2.7

    1344questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。

  • Django

    1177questions

    DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。